# BEGIN SourceDeps(oneline):
BuildRequires: perl(List/Util.pm) perl(TAP/Harness/Archive.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
Name:           eg
Version:        1.7.5.2
Release:        alt1_1
Summary:        Git for mere mortals

Group:          Development/Tools
License:        GPLv2
URL:            http://www.gnome.org/~newren/eg/
Source0:        %{name}-%{version}.tar.gz

# To reproduce, run:
# git clone git://gitorious.org/eg/mainline.git eg
# cd eg
# git archive --format=tar --prefix=eg-1.7.5.2/ v1.7.5.2 | gzip > eg-1.7.5.2.tar.gz


BuildArch:      noarch
Requires:       git
Source44: import.info


%description
Easy Git (eg) is a wrapper for git, designed to make git easy to learn and use.


%prep
%setup -q

# Filter unwanted Requires:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(the)/d;/perl(an)/d;/perl(it)/d;/perl(one)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-prov
chmod +x %{__perl_requires}


%build


%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
install -m 755 eg $RPM_BUILD_ROOT/%{_bindir}/

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/bash_completion.d/
install -m 644 bash-completion-eg.sh \
            $RPM_BUILD_ROOT/%{_sysconfdir}/bash_completion.d/eg


%files
%doc README
%{_bindir}/eg

%{_sysconfdir}/bash_completion.d


%changelog
* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 1.7.5.2-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.7.3-alt1_10
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.7.3-alt1_9
- fc import

